Bug 166388 - kdmrc outdated - kdm in KDE 3.4 no longer uses Xservers
kdmrc outdated - kdm in KDE 3.4 no longer uses Xservers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-20 05:07 EDT by Vlado Potisk
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 11:10:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vlado Potisk 2005-08-20 05:07:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
One of the features of KDE 3.4 is that kdm no longer uses Xservers file, but the shipped kdmrc file does not reflect this.

As a result misconfigurations can happen easily: e.g. kdm will start a local X session even if all entries in Xservers file are commented out; the correct way to configure servers is now to use options like StaticServers and ServerCmd in the kdmrc file (see http://bugs.kde.org/show_bug.cgi?id=101163)

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc3.2

How reproducible:
Always

Steps to Reproduce:
This is only to demonstrate that Xservers file is ignored.
1. comment out all entries in /etc/X11/Xdm/Xservers
2. restart kdm

Actual Results:  local X session starts


Expected Results:  only network sessions (XDMCP) should be allowed

Additional info:
Comment 1 Vlado Potisk 2005-08-26 07:20:40 EDT
The kdmrc file shipped with the new kdebase-3.4.2-0.fc3.3 package is better, the
misleading reference to Xservers is there though.
Comment 2 Matt Simpson 2005-09-07 02:44:11 EDT
kdebase-3.4.2-0.fc3.3

The kdmrc file still contains the following keywords that are no longer recognized:

Xservers
SessionTypes
Themes

The Xservers keyword points to the Xservers file which is no longer used by kdm. 
An error occurs but kdm defaults to /usr/X11R6/bin/Xorg so normally it still
works. However if you want to use your own Xserver or want to customize how you
call X, you have to configure the kdmrc file. Here is an example for the kdmrc
file using 2 displays:

1. Under [General] remove the Xservers line.
2. Under [General] remove the ReserveServers line.
3. Under [General] add this:
   ServerVTs=7
   StaticServers=:0,:1
4. Under [X-:0-Core] add this (customizing as desired, this is an example):
   ServerArgsLocal=-nolisten tcp -layout Main_Layout
   ServerCmd=/usr/local/myCustomXserver/X
5  Under [X-:1-Core] add this (customizing as desired, this is an example):
   ServerArgsLocal=-nolisten tcp -layout TV_Layout -novtswitches -delay 6
   ServerCmd=/usr/local/myCustomXserver/X

Matt Simpson

Comment 3 Ville Skyttä 2006-01-10 17:03:17 EST
In FC5t1/Rawhide kdebase-3.5.0-1.1, it seems that the fallbacks no longer work
and kdm is unable to start X, see bug 173776.
Comment 4 Ville Skyttä 2006-02-12 15:37:19 EST
Any chance of getting this fixed for FC5?
Comment 5 Ngo Than 2006-02-13 05:55:50 EST
yes, it should be fixes in next comming FC5
Comment 6 Ngo Than 2006-02-15 11:10:48 EST
it's now fixed in kdebase-3.5.1-3. It will be available in rawhide soon. 
Thanks for your report 

Note You need to log in before you can comment on or make changes to this bug.